/*ID Selector*/
#external {
	color:  darkslateblue; 	
}

/*Universal Selector*/
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*Type Selector*/
h1 {
	font-size:  40px; 	
}


/*ID Selector*/
#caps {
	text-transform: uppercase;
}

/*Class Selector*/
.language-item {
	background-color: yellow;
}

/*Attribute Selector*/
li[required] {
	border-width: 3px;
	border-style: solid;
	border-color: navy;
}

/*Adjacent Sibling Selector*/
img + ul {
	/*list-style-type: decimal*/;
	list-style-type: none;
}



/*Descendant Selector*/
body img {
	height: 150px;
	width: 150px;
	border-radius: 100px;
}

/*Generic Sibling Selector*/
ul ~ p {
	text-align: center;
}

/*Child Selector*/
ul > li {
	letter-spacing: 15px
}
